> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Stakeholder With ID

> Fetch a Stakeholder using Razorpay Partners APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to retrieve the details of a stakeholder. Know about the [various error responses](/docs/us/api/partners/errors) for this API.

<RequestExample>
  ```bash Curl theme={null}
  curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
  - X GET https://api.razorpay.com/v2/accounts/acc_GLGeLkU2JUeyDZ/stakeholders/sth_GOQ4Eftlz62TSL \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

  String accountId = "acc_GP4lfNA0iIMn5B";

  String stakeholderId = "sth_GOQ4Eftlz62TSL";

  Stakeholder stakeholder = instance.stakeholder.fetch(accountId, stakeholderId);
  ```

  ```php PHP theme={null}
  $api = new Api(null, null, "<ACCESS_TOKEN>");

  $accountId = "acc_GP4lfNA0iIMn5B";
  $stakeholderId = "sth_GOQ4Eftlz62TSL";

  $stakeholders = $api->account->fetch($accountId)->stakeholders();

  $stakeholders->fetch($stakeholderId);
  ```

  ```javascript Node.js theme={null}
  const instance = new Razorpay({
    oauthToken: "<ACCESS_TOKEN>"
  );

  const accountId = "acc_GP4lfNA0iIMn5B";
  const stakeholderId = "sth_GOQ4Eftlz62TSL";

  instance.stakeholders.fetch(accountId, stakeholderId);
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('ACCESS_TOKEN')
  accountId = "acc_GP4lfNA0iIMn5B";

  stakeholderId = "sth_GOQ4Eftlz62TSL";

  Razorpay::Stakeholder.fetch(accountId, stakeholderId);
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");

  string accountId = "acc_ua2tBezhcEBvap";

  string stakeholderId = "sth_ua2tBezhcEBvap";

  Stakeholder stakeholder = client.Stakeholder.Fetch(accountId, stakeholderId);
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "stakeholder",
    "relationship": {
      "director": true
    },
    "phone": {
      "primary": "9000090000",
      "secondary": "9000090000"
    },
    "notes": {
      "random_key_by_partner": "random_value2"
    },
    "kyc": {
      "pan": "AVOPB1111J"
    },
    "id": "sth_GOQ4Eftlz62TSL",
    "name": "Gauri Kumar",
    "email": "gauri@example.com",
    "percentage_ownership": 20,
    "addresses": {
      "residential": {
        "street": "507, Koramangala 1st block",
        "city": "Bangalore",
        "state": "Karnataka",
        "postal_code": "560035",
        "country": "in"
      }
    }
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string" required>
  The unique identifier of a sub-merchant account generated by Razorpay. For example, `acc_GLGeLkU2JUeyDZ`.
</ParamField>

<ParamField path="id" type="string">
  The unique identifier of the stakeholder whose details are to be fetched. For example, `sth_GOQ4Eftlz62TSL`.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of a stakeholder generated by Razorpay, used to fetch or update a stakeholder. For example, `sth_GLGgm8fFCKc92m`. Maximum length supported is 18 characters.
</ResponseField>

<ResponseField name="percentage_ownership" type="float">
  The stakeholder's ownership of the business in percentage. Only two decimal places are allowed. For example, `87.55`. The maximum length is 100 characters.
</ResponseField>

<ResponseField name="name" type="string">
  The stakeholder's name as per the PAN card. The maximum length is 255 characters.<br />
</ResponseField>

<ResponseField name="email" type="string">
  The stakeholder's email address. The maximum length is:

  * local part (before @): 64 characters.
  * domain part (after @): 68 characters. <br /> The total character length supported is 132.
</ResponseField>

<ResponseField name="relationship" type="object">
  The stakeholder's relationship with the account's business.
</ResponseField>

<ResponseField name="director" type="boolean">
  Determines if stakeholder is a director of the account's legal entity.

  * `true`: Stakeholder is a director.
  * `false` (default): Stakeholder is not a director.
</ResponseField>

<ResponseField name="executive" type="boolean">
  Determines if the stakeholder is an executive of the account's legal entity.

  * `true`: Stakeholder is an executive.
  * `false` (false): Stakeholder is not an executive.
</ResponseField>

<ResponseField name="phone" type="object">
  The stakeholder's phone number.
</ResponseField>

<ResponseField name="primary" type="integer">
  The primary contact number of the stakeholder. The minimum length is 8 characters and the maximum length is 11.
</ResponseField>

<ResponseField name="secondary" type="integer">
  The secondary contact number of the stakeholder. The minimum length is 8 characters and the maximum length is 11.
</ResponseField>

<ResponseField name="addresses" type="object">
  Details of stakeholder's address.
</ResponseField>

<ResponseField name="residential" type="string">
  Details of the stakeholder's residential address.
</ResponseField>

<ResponseField name="street" type="string">
  The stakeholder's street address. The minimum length is 10 characters and maximum length is 255.
</ResponseField>

<ResponseField name="city" type="string">
  The city. The minimum length is 2 and maximum length is 32.
</ResponseField>

<ResponseField name="state" type="string">
  The state. The minimum length is 2 and maximum length is 32.
</ResponseField>

<ResponseField name="postal_code" type="string">
  The postal code. The minimum length is 2 and maximum length is 10.
</ResponseField>

<ResponseField name="country" type="string">
  The country. The minimum length is 2 and maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either `IN` or `india`. [List of supported Countries](/docs/us/partners/aggregators/onboarding-api/appendix#country-list).
</ResponseField>

<ResponseField name="kyc" type="object">
  The type of document required to establish the stakeholder's identity.
</ResponseField>

<ResponseField name="pan" type="string">
  The PAN number of the stakeholder.<br />

  * This is a 10-digit alphanumeric code. For example, `AVOPB1111K`.
  * **Regex to validate Stakeholder PAN**: `/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/`
  * **Validation for Stakeholder PAN**: The 4th digit should be 'P'.<br />
  * If the business type is HUF, the karta's PAN should be provided.
  * This API parameter might be required to complete the KYC process, however, it is optional for this API.
</ResponseField>

<ResponseField name="notes" type="object">
  Contains user-defined fields stored by the partner for reference purposes. It can hold a maximum of 15 key-value pairs, 512 characters (maximum) each. For example, "note\_key": "Beam me up Scotty”.
</ResponseField>
